ru.bitel.bgbilling.server.util

## Class DatabaseConnectionPool

- java.lang.Object
- - ru.bitel.bgbilling.server.util.DatabaseConnectionPool

-     public final class DatabaseConnectionPool
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getLifo()`
    `float` | `getLoadRatio()`
    `int` | `getMaxActive()`
    `int` | `getMaxIdle()`
    `long` | `getMaxWait()`
    `long` | `getMinEvictableIdleTimeMillis()`
    `int` | `getMinIdle()`
    `int` | `getNumActive()`
    `int` | `getNumIdle()`
    `int` | `getNumTestsPerEvictionRun()`
    `long` | `getSoftMinEvictableIdleTimeMillis()`
    `boolean` | `getTestOnBorrow()`
    `boolean` | `getTestOnReturn()`
    `boolean` | `getTestWhileIdle()`
    `long` | `getTimeBetweenEvictionRunsMillis()`
    `byte` | `getWhenExhaustedAction()`
    `boolean` | `isOverload()`
    `void` | `setLifo(boolean lifo)`
    `void` | `setMaxActive(int maxActive)`
    `void` | `setMaxIdle(int maxIdle)`
    `void` | `setMaxWait(long maxWait)`
    `void` | `setMinEvictableIdleTimeMillis(long minEvictableIdleTimeMillis)`
    `void` | `setMinIdle(int minIdle)`
    `void` | `setNumTestsPerEvictionRun(int numTestsPerEvictionRun)`
    `void` | `setSoftMinEvictableIdleTimeMillis(long softMinEvictableIdleTimeMillis)`
    `void` | `setTestOnBorrow(boolean testOnBorrow)`
    `void` | `setTestOnReturn(boolean testOnReturn)`
    `void` | `setTestWhileIdle(boolean testWhileIdle)`
    `void` | `setTimeBetweenEvictionRunsMillis(long timeBetweenEvictionRunsMillis)`
    `void` | `setWhenExhaustedAction(byte whenExhaustedAction)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isOverload

          public boolean isOverload()

      Returns:
        getMaxActive() <= getNumActive()

    - #### getLoadRatio

          public float getLoadRatio()

      Returns:
        pool.getNumActive() / pool.getMaxActive();

    - #### getMaxActive

          public int getMaxActive()

    - #### setMaxActive

          public void setMaxActive(int maxActive)

    - #### getWhenExhaustedAction

          public byte getWhenExhaustedAction()

    - #### setWhenExhaustedAction

          public void setWhenExhaustedAction(byte whenExhaustedAction)

    - #### getMaxWait

          public long getMaxWait()

    - #### setMaxWait

          public void setMaxWait(long maxWait)

    - #### getMaxIdle

          public int getMaxIdle()

    - #### setMaxIdle

          public void setMaxIdle(int maxIdle)

    - #### setMinIdle

          public void setMinIdle(int minIdle)

    - #### getMinIdle

          public int getMinIdle()

    - #### getTestOnBorrow

          public boolean getTestOnBorrow()

    - #### setTestOnBorrow

          public void setTestOnBorrow(boolean testOnBorrow)

    - #### getTestOnReturn

          public boolean getTestOnReturn()

    - #### setTestOnReturn

          public void setTestOnReturn(boolean testOnReturn)

    - #### getTimeBetweenEvictionRunsMillis

          public long getTimeBetweenEvictionRunsMillis()

    - #### setTimeBetweenEvictionRunsMillis

          public void setTimeBetweenEvictionRunsMillis(long timeBetweenEvictionRunsMillis)

    - #### getNumTestsPerEvictionRun

          public int getNumTestsPerEvictionRun()

    - #### setNumTestsPerEvictionRun

          public void setNumTestsPerEvictionRun(int numTestsPerEvictionRun)

    - #### getMinEvictableIdleTimeMillis

          public long getMinEvictableIdleTimeMillis()

    - #### setMinEvictableIdleTimeMillis

          public void setMinEvictableIdleTimeMillis(long minEvictableIdleTimeMillis)

    - #### getSoftMinEvictableIdleTimeMillis

          public long getSoftMinEvictableIdleTimeMillis()

    - #### setSoftMinEvictableIdleTimeMillis

          public void setSoftMinEvictableIdleTimeMillis(long softMinEvictableIdleTimeMillis)

    - #### getTestWhileIdle

          public boolean getTestWhileIdle()

    - #### setTestWhileIdle

          public void setTestWhileIdle(boolean testWhileIdle)

    - #### getLifo

          public boolean getLifo()

    - #### setLifo

          public void setLifo(boolean lifo)

    - #### getNumActive

          public int getNumActive()

    - #### getNumIdle

          public int getNumIdle()